View Issue Details

IDProjectCategoryView StatusLast Update
0006721MediaMonkey (current)Playlist / Searchpublic2010-12-17 01:42
ReporterLudek 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006721: Search dialog isn't video fields ready
DescriptionCurrently on the Search dialog there are only Title, Artist, Composer, Album, ... fields, but there is no Series, Producer, Director, ... fields

Because now we have e.g. Album = Series = Podcast
it makes sense to rename

Album -> Album / Series / Podcast
Composer -> Composer / Author / Producer
Conductor -> Conductor / Director
Track# -> Track# / Episode#
Disc# -> Disc# / Season#

another approach would be to show field name based on the selected collection, but there is a problem with non-default collections or "Entire Library" collection where we should probably show both 'Album' and 'Series' fields although they contain the same data. Therefore the former approach is more clear/accurate.



TagsNo tags attached.
Fixed in build1328

Activities

Ludek

2010-11-21 20:40

developer   ~0021401

Agreed?

rusty

2010-11-22 04:43

administrator   ~0021402

In general, why not just display fields relevant to the selected Collection (as you suggested), and use 'combined' fields for 'mixed' collections?

As far as the 'combined' fields suggested, I'm not totally clear:
Album: OK
Composer: composer and producer aren't the same field afaik ?!
Conductor: conductor and director aren't the same field afaik ?!
Track#: OK
Disc#: Disc# and Season# aren't the same field afaik ?!

jiri

2010-11-22 11:13

administrator   ~0021404

I think that we should take the same approach as in other parts of MM UI, i.e. to show all the available fields, regardless whether they are (or will be in the future) mapped to the same field. So, for example, user should be able to search by Album, or by Podcast, or by Series.

Ludek

2010-11-22 12:40

developer   ~0021405

Fixed in build 1327.

Ludek

2010-11-22 22:24

developer   ~0021432

Last edited: 2010-11-22 22:25

View 2 revisions

btw. I overlooked this Jiri's note #c21404

He wants to add all the fields despite the fact whether they are mapped to the same field internally, what do you think? It makes sense for Advanced search and the Basic search sheet needs to be reorganized.

Ludek

2010-11-25 17:51

developer   ~0021478

Last edited: 2010-11-25 17:51

View 2 revisions

Fixed in build 1328:
- added Actor(s), Producer, Episode#, Season# fields and adjusted according to 0006739 changes.

peke

2010-12-17 01:42

developer   ~0021883

Verified 1335